#************************************************************
#
#  Copyright (c) 2011 by Dell, Inc.
#
#  All rights reserved.  This software may not be copied, disclosed,
#  transferred, or used except in accordance with a license granted
#  by Dell, Inc.  This software embodies proprietary information
#  and trade secrets of Dell, Inc.
#
#************************************************************
# Code for '/etc/profile.d/' to enable bash command completion for all
# equallogic software, even if the main 'bash-completion' package is not
# installed.
#

# Check for interactive bash and that we haven't already been sourced.
[ -z "$BASH_VERSION" -o -z "$PS1" -o -n "$EQL_BASH_COMPLETION" ] && return

# Check to see if the main 'bash-completion' package is installed.  If so, it
# will source our functions for us.
[ -r /etc/bash_completion ] && return

# Check for recent enough version of bash.
bash=${BASH_VERSION%.*}; bmajor=${bash%.*}; bminor=${bash#*.}
if [ $bmajor -gt 3 ] || [ $bmajor -eq 3 -a $bminor -ge 2 ]; then
    if shopt -q progcomp && [ -r /etc/bash_completion.d/equallogic ]; then
        # Source our completion code.
        . /etc/bash_completion.d/equallogic
    fi
fi
unset bash bmajor bminor

